/* expand-core.h - function prototypes for the expand and unexpand utilities
   Copyright (C) 1989-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#ifndef EXPAND_CORE_H_
# define EXPAND_CORE_H_

extern size_t first_free_tab;

extern size_t n_tabs_allocated;

extern uintmax_t *tab_list;

extern int exit_status;

extern char **file_list;

extern bool have_read_stdin;

void
parse_tab_stops (char const *stops, void (*add_tab_stop)(uintmax_t));

void
validate_tab_stops (uintmax_t const *tabs, size_t entries);

FILE *
next_file (FILE *fp);

#endif /* EXPAND_CORE_H_ */
